Bug 116164 - Xsession change required for new switchdesk and kdm
Summary: Xsession change required for new switchdesk and kdm
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-18 18:49 UTC by Ngo Than
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 3.38-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-30 06:23:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xinitrc patch file (2.70 KB, text/plain)
2004-02-18 18:51 UTC, Ngo Than
no flags Details

Description Ngo Than 2004-02-18 18:49:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
following problem is in xinitrc:

selection of session type from KDM does not work

for working with new switchdesk-4.0.0 or newer, it should be done some
change in Xsession

The patch file is attached here.


Version-Release number of selected component (if applicable):
xinitrc-3.35-1

How reproducible:
Always

Steps to Reproduce:
start KDM as X login manager
select for example KDE as session type

Additional info:

Comment 1 Ngo Than 2004-02-18 18:51:29 UTC
Created attachment 97806 [details]
xinitrc patch file

patch file is attached

Comment 2 Mike A. Harris 2004-02-19 07:46:31 UTC
Other than the gratuitous shebang line change, the rest of the
patch appears to be fairly sane/safe.  I'll review it against
the current sources soon, and probably apply it.

Thanks Than

Comment 3 Aleksey Nogin 2004-03-30 02:50:58 UTC
Hm, right now I see two different copies of Xsession -
/etc/X11/xdm/Xsession and /etc/kde/kdm/Xsession and the difference
between the two is exactly that the kdm one appears to have the
attached patch applied (including the "gratuitous shebang line change"
;-) ).

Comment 4 Mike A. Harris 2004-03-30 06:22:04 UTC
A slightly modified version of the attached patch has been applied
to CVS and will be in xinitrc-3.38-1 in rawhide soon.

Comment 5 Mike A. Harris 2004-03-30 08:00:59 UTC
New packages built in dist-fc2-hold, pending unlocking of dist-fc2,
so packages can be moved over and sync'd with rawhide.

Thanks also Aleksey for the reminder!

Comment 6 Aleksey Nogin 2004-03-30 19:54:59 UTC
Please do not forget to remove the outdated duplicate
/etc/kde/kdm/Xsession from kdebase now.

Comment 7 Mike A. Harris 2004-03-30 23:01:54 UTC
Thanks Aleksey, I've filed bug #119503 to track the removal of
the kdebase Xsession script.


Note You need to log in before you can comment on or make changes to this bug.